E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | List of all members
G::limits Class Reference

A scoping structure for a set of buffer sizes. More...

`#include <glimits.h>`

## Public Types
enum | { path = 33000 }
enum | { log = 1000 }
enum | { file_buffer = 102400 }
enum | { file_slurp = 100000000 }
enum | { pipe_buffer = 4096 }
enum | { get_pwnam_r_buffer = 1024 }
enum | { net_buffer = 20000 }
enum | { net_line_limit = 1000000 }
enum | { net_file_limit = 200000000 }
enum | { net_hostname = 1024 }
enum | { net_listen_queue = 3 }
enum | { net_certificate_cache_size = 50 }
enum | { win32_subclass_limit = 80 }
enum | { win32_classname_buffer = 256 }

## Detailed Description

A scoping structure for a set of buffer sizes.

Intended to be used to reduce memory requirements in embedded environments.

Definition at line 35 of file glimits.h.

The documentation for this class was generated from the following file:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/glimits.h